{% set R = O.relationsArray[sysma_relation_id] %}
{% set RL = R.RL %}

<div style="margin:10px;margin-bottom:30px;">
    <p>
        <a href="#" id="boutonAfficheBlocRelation{{R.RL.sysma_relation_id}}" class="btn btn-xs btn-default" 
           onClick=" sendData('sysma_relation_id={{R.RL.sysma_relation_id}}&sysma_object_id={{O.id}}', '{{ url('relation-line') }}', 'blocInfosRelation{{R.RL.sysma_relation_id}}', event, false);">-</a> 

           <span title="{{ R.RL.description|striptags|raw }} [{{ R.RL.sysma_relation_type_id }}]">{{ R.RL.sysma_relation_type }}</span>
        <a href="{{ url('thesaurus-sysma-relation-type', { 'id' : R.RL.sysma_relation_type_id }) }}" target="_blank" alt="voir la fiche dictionnaire" title="voir la fiche dictionnaire" class="text-muted">
            <small><span class="glyphicon glyphicon-book"></span> </small>
        </a>       


    </p>

    <div class='row'>
        {% if R.RL.sysma_relation != '' %}
            <div class="row"><div class="col-md-12 text-center">{{  R.RL.sysma_relation  }}</div></div>
            {% endif %}
        <div class='col-md-4 text-center'>
            <div class='row'>
                <div class='col-md-8'>
                    <h2>{{ O.sysma_object|default(O.sysma_object_type~' '~O.sysma_object_id) }}</h2>
                </div>
                <div class='col-md-4 text-center'>                     
                    <svg viewBox="0 0 100 20" width='100%' height='20px'  style='margin-top:20px;' >
                    <line x1="10" y1="10" x2="95" y2="10" stroke="#999999" />
                    <circle cx="10" cy="10" r="3" stroke="#999999" stroke-width="3" fill="#ececec"  />                   
                    </svg>   

                </div>
            </div>
        </div>


        <div class='col-md-4 text-center'> 

            <h2 title="[{{R.RL.sysma_relation_id}}]">{{ R.infos.parent_child == 'parent' ? R.RL.sysma_relation_type_from_parent : R.RL.sysma_relation_type_from_child }}</h2>
            <small>{% include('sysma-relation/sysmaRelationStatusLabel.twig')%}</small>    
            <p>
                {{ R.RL.contracts_labels|raw }}
                {{ RL.start_date != '0' ? RL.start_date }}
                {{ RL.end_date != '0' ? '>'~RL.end_date }}</p>
            <p>{% include('sysma-relation/sysmaRelationModificationButton.twig') %}  </p>
                {#<br>  Réalisé par : {{RL.acronym}} #}
        </div>

        <div class='col-md-4'>
            {% for ObL in R.objects_linked %}  

                <div class='row'>
                    <div class='col-md-4'>
                        {% if loop.first %}
                            <svg viewBox="0 0 100 20" width='100%' height='20px' style='margin-top:20px;' >
                            <line x1="10" y1="10" x2="95" y2="10" stroke="#999999" />
                            <circle cx="95" cy="10" r="3" stroke="#999999" stroke-width="3" fill="#ececec" />                   
                            </svg>   
                        {%  else %}
                            <svg viewBox="0 0 100 40" width='100%' height='40px'  style='margin-top:0px;' >
                            <line x1="30" y1="35" x2="95" y2="35" stroke="#999999" />
                            <line x1="30" y1="0" x2="30" y2="35" stroke="#999999" />
                            <circle cx="95" cy="35" r="3" stroke="#999999" stroke-width="3" fill="#ececec"  />                   
                            </svg> 
                        {% endif %}
                    </div>
                    <div class='col-md-8'>
                        <h2 style='font-size:1em;'><a href="{{ url('objet-carte', { 'sysma_object_id' : ObL.sysma_object_id}) }}">{{ ObL.sysma_object|raw|default(ObL.sysma_object_type) }} <small>[{{ ObL.sysma_object_id }}]</small></a>

                            {% if 
        (
        [app.session.get('user_id'),ObL.organisation_id, ObL.sysma_object_type_id, ObL.status, null, null, null, 'gestionnaire']|hasAccess 
        or 
            (
            [app.session.get('user_id'),ObL.organisation_id, ObL.sysma_object_type_id, ObL.status, null, null, null, 'contributeur']|hasAccess and ObL.modified_by == app.session.get('user_id')
            )
        )
                            %}
&nbsp;&nbsp;
                            <button class="btn btn-xs btn-default" title="dissocier cet objet de la relation ?" 
                                    onclick="
                                            if (!confirm('Voulez-vous dissocier cet objet de la relation ?'))
                                                return false;
                                            sendDataAndRedirect('sysma_object_id={{ObL.sysma_object_id}}&sysma_relation_id={{R.RL.sysma_relation_id}}&parent_child={{R.infos.parent_child}}', '{{url('object-unlink-relation') }}', 'blocInfosRelation{{R.RL.sysma_relation_id}}', event, null, 'sysma_object_id={{O.sysma_object_id}}&sysma_relation_id={{R.RL.sysma_relation_id}}', '{{ url('relation') }}', 'blocInfosRelation{{R.RL.sysma_relation_id}}');">
                                <span class="text-danger">
                                    <span class="glyphicon glyphicon-log-out" title="Dissocier l'objet"></span> 
                                </span>
                            </button>
                            {% endif %}

                            </h2>
                        </div>


                    </div>
                    {% endfor %}
                    </div>

                </div>
                <div class='row'>
                    <div class='col-md-12'>
                        <p>&nbsp;</p>
                      
                    </div>


                    {% for V in RL.data %}

                        <div class="row rowSysma 
                             {% if  V.parameter.required %}
                                 requiredParameter
                             {% endif %}
                             ">
                            <div class = "col-md-3 col-xs-4 colonne1">
                                <acronym title = "{{V.parameter.parameter|striptags|raw}} [{{V.parameter.parameter_id}}]">{{V.parameter.parameter|raw}}</acronym>            
                                {% if V.parameter.unit!=null %}
                                    ({{V.parameter.unit}})
                                {% endif %}
                            </div>

                            {% set dataType = V.parameter.dataType %}
                            {% set sysma_object_id = O.id %}
                            {% set sysma_object_type_id = O.sysma_object_type_id %}
                            <div id="renseigneFormTr{{V.sysma_relation_id}}{{V.parameter_id}}" class="col-md-9 col-xs-8">
                                {% include ('sysma-relation-parameter-value/sysmaRelationParameterValueDisplay.twig') %}
                            </div>
                        </div>


                    {% endfor %}   



                </div>
